AsynchToSynchChannelFactoryAdaptor (ActiveIO 1.0 API)
Keywords: org.activeio.adapter.AsynchToSynchChannelFactoryAdaptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.adapter
Class AsynchToSynchChannelFactoryAdaptor

    java.lang.Object
      org.activeio.adapter.AsynchToSynchChannelFactoryAdaptor

All Implemented Interfaces:
  SynchChannelFactory

public final class AsynchToSynchChannelFactoryAdaptor
extends java.lang.Object
implements SynchChannelFactory

Version:
  $Revision$

Method Summary
`static SynchChannelFactory` | `adapt(AsynchChannelFactory channelFactory)`
`SynchChannelServer` | `bindSynchChannel(java.net.URI location)` Binds a server at the URI location.
`AsynchChannelFactory` | `getAsynchChannelFactory()`
`SynchChannel` | `openSynchChannel(java.net.URI location)` Opens a connection to server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### adapt

    public static SynchChannelFactory adapt(AsynchChannelFactory channelFactory)

### openSynchChannel

    public SynchChannel openSynchChannel(java.net.URI location)
                                  throws java.io.IOException

  Description copied from interface: `SynchChannelFactory`
  Opens a connection to server.

  Specified by:
    `openSynchChannel` in interface `SynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`

### bindSynchChannel

    public SynchChannelServer bindSynchChannel(java.net.URI location)
                                        throws java.io.IOException

  Description copied from interface: `SynchChannelFactory`
  Binds a server at the URI location.

  Specified by:
    `bindSynchChannel` in interface `SynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`

### getAsynchChannelFactory

    public AsynchChannelFactory getAsynchChannelFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.